v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/dndexception
Creates a DND Exception. Rights needed: DispensationExceptionPost.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Supported Media Types
- application/json
Root Schema : DNDExceptionRequest v1.0
Type:
objectTitle:
DNDExceptionRequest v1.0Request to create a new DNDException.
Show Source
-
allCountries(required): boolean
Title:
All CountriesIndicates whether the exception applies to all countries.Example:true -
countries: array
Countries
Title:
CountriesISO codes of countries. -
kitTypeSrcId(required): array
Kit Type Source IDs
Title:
Kit Type Source IDsMinimum Number of Items:1Maximum Number of Items:2147483647Unique Items Required:trueList of kit type source IDs. -
siteIds: array
Site IDs
Title:
Site IDsUnique Items Required:trueList of site IDs. -
visitDND(required): array
visitDND
Minimum Number of Items:
1Maximum Number of Items:2147483647Unique Items Required:true
Nested Schema : Countries
Type:
arrayTitle:
CountriesISO codes of countries.
Show Source
-
Array of:
string(String)
Example:
US
Nested Schema : Kit Type Source IDs
Type:
arrayTitle:
Kit Type Source IDsMinimum Number of Items:
1Maximum Number of Items:
2147483647Unique Items Required:
trueList of kit type source IDs.
Show Source
-
Array of:
string(uuid)
Title:
Kit Type Source IDsList of kit type source IDs.
Example:
[
"6AF54DB79B764662B685D68C52AB0B84",
"6AF54DB79B764662B685D68C52AB0B84"
]Nested Schema : Site IDs
Type:
arrayTitle:
Site IDsUnique Items Required:
trueList of site IDs.
Show Source
-
Array of:
string(uuid)
Title:
Site IDsList of site IDs.
Example:
[
"6AF54DB79B764662B685D68C52AB0B84",
"6AF54DB79B764662B685D68C52AB0B84"
]Nested Schema : visitDND
Type:
arrayMinimum Number of Items:
1Maximum Number of Items:
2147483647Unique Items Required:
Show Source
true-
Array of:
object VisitDND v1.0
Title:
VisitDND v1.0Request to create a new VisitDND.
Nested Schema : VisitDND v1.0
Type:
objectTitle:
VisitDND v1.0Request to create a new VisitDND.
Show Source
-
dnd(required): number
(BigDecimal)
Title:
DNDMinimum Value:0Minimum Value:> falseMaximum Value:99999Maximum Value:< falseDo not dispense value.Example:2 -
visitSrcId(required): string
(uuid)
Title:
Visit Source IDVisit source identifier.
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : IDResponse v1.0
Type:
objectTitle:
IDResponse v1.0Response containing the identifier.
Show Source
400 Response
Dispensation logic (dynamic DND) request is not valid
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
Invalid study ID or version
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object